%define anolis_release 1

%global glib2_version 2.44
%global gtk3_version 3.20

Name:           gspell
Version:        1.12.1
Release:        %{anolis_release}%{?dist}
Summary:        Spell-checking library for GTK+
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/gspell
Source0:        https://download.gnome.org/sources/%{name}/1.12/%{name}-%{version}.tar.xz

BuildRequires:  gettext
BuildRequires:  gobject-introspection-devel
BuildRequires:  make
BuildRequires:  vala
BuildRequires:  pkgconfig(enchant-2)
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires:  pkgconfig(iso-codes)

Requires:       glib2 >= %{glib2_version}
Requires:       gtk3 >= %{gtk3_version}
Requires:       iso-codes

%description
gspell provides a flexible API to implement the spell checking
in a GTK+ application.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        API documentation for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description    doc
This package contains the full API documentation for %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

%find_lang gspell-1

%generate_compatibility_deps

%files -f gspell-1.lang
%license COPYING
%{_libdir}/girepository-1.0/
%{_libdir}/libgspell-1.so.2*

%files devel
%{_bindir}/gspell-app1
%{_includedir}/gspell-1/
%{_libdir}/libgspell-1.so
%{_libdir}/pkgconfig/gspell-1.pc
%{_datadir}/gir-1.0/
%{_datadir}/vala/
%dir %{abidir}
%{abidir}/libgspell-1.dump

%files doc
%{_datadir}/gtk-doc/
%doc NEWS README.md

%changelog
* Mon May 01 2023 Funda Wang <fundawang@yeah.net> - 1.12.1-1
- New version 1.12.1

* Mon Mar 20 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.12.0-1
- Init from upstream
